var berlin;
var neighborhoods;
var markers = [];
var iterator = 0;
var map;

function initialize() {
    berlin = new google.maps.LatLng(52.520816, 13.410186);
    
    neighborhoods = [
		     new google.maps.LatLng(52.511467, 13.447179),
		     new google.maps.LatLng(52.549061, 13.422975),
		     new google.maps.LatLng(52.497622, 13.396110),
		     new google.maps.LatLng(52.517683, 13.394393)
		     ];
 
    var mapOptions = {
      zoom: 12,
      mapTypeId: google.maps.MapTypeId.ROADMAP,
      center: berlin
    };
 
    map = new google.maps.Map(iframe.getElementById("map_canvas"),
            mapOptions);
  }
 
  function drop() {
    for (var i = 0; i < neighborhoods.length; i++) {
      setTimeout(function() {
        addMarker();
      }, i * 200);
    }
  }
 
  function addMarker() {
    markers.push(new google.maps.Marker({
      position: neighborhoods[iterator],
      map: map,
      draggable: false,
      animation: google.maps.Animation.DROP
    }));
    iterator++;
  }