var stockholm; 
var parliament; 
var marker;
var map;

function initialize() {
    stockholm = new google.maps.LatLng(59.32522, 18.07002);
    parliament = new google.maps.LatLng(59.327383, 18.06747);
    var mapOptions = {
	zoom: 13,
	mapTypeId: google.maps.MapTypeId.ROADMAP,
	center: stockholm
    };
    
    map = new google.maps.Map(iframe.getElementById("map_canvas"),
			      mapOptions);
    
    marker = new google.maps.Marker({
	    map:map,
	    draggable:true,
	    animation: google.maps.Animation.DROP,
	    position: parliament
	});
    google.maps.event.addListener(marker, 'click', toggleBounce);
    marker.setAnimation(google.maps.Animation.BOUNCE);
}

function toggleBounce() {
    
    if (marker.getAnimation() != null) {
	marker.setAnimation(null);
    } else {
	marker.setAnimation(google.maps.Animation.BOUNCE);
    }
}