// verbose(...) uses console to log messages.
var turn_on_verbose;
var turn_off_verbose;
var verbose;

var tramp_on = true;

(function(){
    var verbose_flag = false;
    turn_on_verbose = function(){ verbose_flag = true; };
    turn_off_verbose = function(){ verbose_flag = false; };
    verbose = function(){
	if (!verbose_flag)
	    return;
	var log = new String();
	for (var i = 0; i < arguments.length; i++){
	    log += arguments[i];
	}
	if (arguments.length > 0)
	    console.log(log);
	return;
    };
})();

//Turn on verbose
turn_on_verbose();

// handle_id_gen() generate a fresh interger id for various usage.
var handle_id_gen = (function(){
	     var id_counter = 0;
		 return (function(){return id_counter++;});})();

// msg_id_gen() generate a fresh interger id for various usage.
var msg_id_gen = (function(){
	     var id_counter = 0;
		 return (function(){return id_counter++;});})();



//Data types of object handler of iframe pages
function OHandle(){
    var id = handle_id_gen();
    this.__id = id;
    this.__is_ohandle = true;
    return;
}

//Data types of funcation call back handlers.
function FHandle(){
    var id = handle_id_gen();    
    this.__id = id;
    this.__is_fhandle = true;
    return;
}

var startTime;

function timerStart(){
    startTime = (new Date()).getTime();
}

function timerEnd(){
    var endTime = (new Date()).getTime();
    var time = endTime - startTime;
    //console.log("Consumed time: " + time + "ms.");
    var logDiv = document.getElementById("log");
    logDiv.innerHTML="Consumed time: " + time + "ms.";
}